# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install glib2-devel libgio-devel pkgconfig(glib-2.0) pkgconfig(gthread-2.0) pkgconfig(libcrypto) pkgconfig(nss) pkgconfig(zlib)
# END SourceDeps(oneline)
%define _configure_script  ../configure 
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# Review at https://bugzilla.redhat.com/show_bug.cgi?id=540328
#
# by default build nautilus and thunar extensions
# use with to change the default
%bcond_without nautilus
%bcond_without thunar

# this is the same as %%configure, but in the toplevel direcory

Name:           gtkhash
Version:        0.6.0
Release:        alt1_10
Summary:        GTK+ utility for computing message digests or checksums

Group:          File tools
License:        GPLv2+
URL:            http://gtkhash.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         gtkhash-0.6.0-aarch64.patch

BuildRequires:  pkgconfig(gtk+-2.0) >= 2.24
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  libmhash-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  desktop-file-utils gettext intltool

%if %{with nautilus}
BuildRequires:  pkgconfig(libnautilus-extension) >= 3.0.0
%endif

%if %{with thunar}
BuildRequires:  pkgconfig(thunarx-2)
%endif
Source44: import.info

%description
GtkHash is a GTK+ utility for computing message digests or checksums. Currently
supported hash functions include
* MD2, MD4 and MD5
* SHA1, SHA224, SHA256, SHA384 and SHA512,
* RIPEMD128, RIPEMD160, RIPEMD256 and RIPEMD320
* TIGER128, TIGER160 and TIGER192
* HAVAL128-3, HAVAL160-3, HAVAL192-3, HAVAL224-3 and HAVAL256-3
* SNEFRU128 and SNEFRU256
* ADLER32, CRC32, GOST and WHIRLPOOL

This package contains the GTK+2 version of the program. For the GTK+3 version,
install the %{name}3 package.


%package -n     %{name}3
Summary:        GTK+ utility for computing message digests or checksums
Group:          File tools

%description -n %{name}3
GtkHash is a GTK+ utility for computing message digests or checksums. Currently
supported hash functions include
* MD2, MD4 and MD5
* SHA1, SHA224, SHA256, SHA384 and SHA512,
* RIPEMD128, RIPEMD160, RIPEMD256 and RIPEMD320
* TIGER128, TIGER160 and TIGER192
* HAVAL128-3, HAVAL160-3, HAVAL192-3, HAVAL224-3 and HAVAL256-3
* SNEFRU128 and SNEFRU256
* ADLER32, CRC32, GOST and WHIRLPOOL

This package contains the GTK+3 version of the program. For the GTK+2 version,
install the %{name} package.


%if %{with nautilus}
%package        nautilus
Summary:        GtkHash extension for nautilus
Group:          Graphical desktop/Other
Requires:       nautilus
Requires:       %{name}3 = %{version}
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description    nautilus
GtkHash extension for the nautilus file manger. It adds adds an additional tab
called "Digests" to the file properties dialog.
%endif


%if %{with thunar}
%package        thunar
Summary:        GtkHash extension for Thunar
Group:          Graphical desktop/Other
Requires:       Thunar
Requires:       %{name} = %{version}

%description    thunar
GtkHash extension for the Thunar file manger. It adds adds an additional tab
called "Digests" to the file properties dialog.
%endif


%prep
%setup -q
%patch0 -p1 -b .aarch64


%build
# We need to build this package twice, once for gtk2 and once for gtk3.
mkdir gtk2 gtk3

# build gtk2 (with Thunar)
cd gtk2

%configure --with-gtk=2.0 \
  --enable-linux-crypto \
  --enable-gcrypt \
  --enable-glib-checksums \
  --enable-mhash \
%if %{with thunar}
  --enable-thunar \
  --disable-nautilus \
  --disable-schemas-compile \
%else
  --disable-thunar \
  --disable-nautilus \
  --disable-schemas-compile \
%endif

make %{?_smp_mflags} V=1

# build gtk3 (with nautilus)
cd ../gtk3

%configure --with-gtk=3.0 \
  --program-suffix=3 \
  --enable-linux-crypto \
  --enable-gcrypt \
  --enable-glib-checksums \
  --enable-mhash \
%if %{with nautilus}
  --enable-nautilus \
  --disable-thunar \
  --disable-schemas-compile \
%else
  --disable-nautilus \
  --disable-thunar \
  --disable-schemas-compile \
%endif

make %{?_smp_mflags} V=1


%install

# install gtk2 part
cd gtk2

make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}
desktop-file-install                               \
  --dir=%{buildroot}%{_datadir}/applications       \
  %{SOURCE1}

# install gtk3 part
cd ../gtk3

make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}

cp %{SOURCE1} gtkhash3.desktop
sed -i 's|^Exec=gtkhash|Exec=gtkhash3|g' gtkhash3.desktop
desktop-file-install                               \
  --dir=%{buildroot}%{_datadir}/applications       \
  gtkhash3.desktop

# generic
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -f gtk2/%{name}.lang
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/app.gtkhash.gschema.xml

%files -n %{name}3 -f gtk3/%{name}.lang
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}3
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}3.desktop


%if %{with nautilus}
%files nautilus
%{_libdir}/nautilus/extensions-*/libgtkhash-properties.so
%{_datadir}/gtkhash/nautilus
%{_datadir}/glib-2.0/schemas/app.gtkhash-properties.gschema.xml
%endif


%if %{with thunar}
%files thunar
%{_libdir}/thunarx-2/libgtkhash-properties.so
%endif


%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_10
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_9
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_7
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_6
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_5
- update to new release by fcimport

* Tue May 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_4
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_3
- update to new release by fcimport

* Tue Jan 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_2
- initial fc import

